Mule Mongo Connector Demo
===========================

INTRODUCTION
------------
The present demo executes a bulk insert with and without batch support in a MongoDB database.
For more information about batch operations, please visit this [link](https://docs.mulesoft.com/mule-user-guide/v/3.6/batch-processing).


HOW TO RUN DEMO
---------------

### Prerequisites
In order to build run this demo project you'll need:

* Anypoint Studio with Mule ESB 3.7 Runtime.
* Mule Mongo Connector v4.2.0.
* MongoDB instance v3.0 or higher.
* MongoDB Credentials.

### Test the flows

With Anypoint Studio up and running, open the Import wizard from the File menu. A pop-up wizard will offer you the chance to pick Anypoint Studio Project from External Location. On the next wizard window point Project Root to the location of the demo project and select the Server Runtime as Mule Server 3.7.0 EE. Once successfully imported the studio will automatically present the Mule Flows.

From the Package Explorer view, expand the demo project and open the mule-app.properties file. Fill in the credentials of MongoDB instance.

Run the demo project and with in the browser hit - **http://localhost:8081**, the result would be a bulk insert with and without batch support.

**bulk-flow :** This flow will let you insert multiple records into your MongoDB database after that, it will call "batch-flow".

**batch-flow :** The result of this flow, will be another bulk insert into your MongoDB database, but in chucks of two documents, because we are using batch to do this operation.


SUMMARY
-------

Congratulations! You have imported the Mule Mongo Connector Demo project and used it to do bulk insert operation.